<?php
define('BASEPATH', 'TRUE');
require 'application/config/database.php';
$db = $db['default'];
$conn = mysqli_connect($db['hostname'], $db['username'], $db['password'], $db['database']);
$res = mysqli_query($conn, "SELECT id, nombre, tipo, codigo FROM producto WHERE nombre LIKE '%agua%'");
while($row = mysqli_fetch_assoc($res)) {
    print_r($row);
}
